## IAnjutaDebugManager

IAnjutaDebugManager — Common graphical interface to all debugger

## Stability Level

Unstable, unless otherwise indicated

## Functions

GQuark | ianjuta_debug_manager_error_quark ()
gboolean | ianjuta_debug_manager_quit ()
gboolean | ianjuta_debug_manager_start ()
gboolean | ianjuta_debug_manager_start_remote ()

## Signals

void | breakpoint-changed | Run Last
void | debugger-started | Run Last
void | debugger-stopped | Run Last
void | frame-changed | Run Last
void | location-changed | Run Last
void | program-exited | Run Last
void | program-loaded | Run Last
void | program-moved | Run Last
void | program-running | Run Last
void | program-started | Run Last
void | program-stopped | Run Last
void | program-unloaded | Run Last
void | sharedlib-event | Run Last
void | signal-received | Run Last

## Types and Values

#define | IANJUTA_DEBUG_MANAGER_ERROR

## Object Hierarchy

        GInterface
        ╰── IAnjutaDebugManager

## Includes

    #include <libanjuta/interfaces/ianjuta-debug-manager.h>

## Description

This interface wrap the real debugger plugin and provide a common graphical user interface.

## Functions

### ianjuta_debug_manager_error_quark ()

    GQuark
    ianjuta_debug_manager_error_quark (void);

### ianjuta_debug_manager_quit ()

    gboolean
    ianjuta_debug_manager_quit (IAnjutaDebugManager *obj,
                                GError **err);

Quit the debugger, can wait until the debugger is ready.

#### Parameters

obj | Self |
err | Error propagation and reporting. |

#### Returns

TRUE if sucessful, other FALSE.

### ianjuta_debug_manager_start ()

    gboolean
    ianjuta_debug_manager_start (IAnjutaDebugManager *obj,
                                 const gchar *uri,
                                 GError **err);

Start the debugger of the given uri

#### Parameters

obj | Self |
uri | uri of the target |
err | Error propagation and reporting. |

#### Returns

TRUE if sucessful, other FALSE.

### ianjuta_debug_manager_start_remote ()

    gboolean
    ianjuta_debug_manager_start_remote (IAnjutaDebugManager *obj,
                                        const gchar *server,
                                        const gchar *uri,
                                        GError **err);

Start the debugger of the given uri

#### Parameters

obj | Self |
server | server (IP address:port) |
uri | uri of the local target |
err | Error propagation and reporting. |

#### Returns

TRUE if sucessful, other FALSE.

## Types and Values

### IANJUTA_DEBUG_MANAGER_ERROR

    #define IANJUTA_DEBUG_MANAGER_ERROR ianjuta_debug_manager_error_quark()

## Signal Details

### The `“breakpoint-changed”` signal

    void
    user_function (IAnjutaDebugManager *ianjutadebugmanager,
                   gpointer             arg1,
                   gpointer             user_data)

Flags: Run Last

### The `“debugger-started”` signal

    void
    user_function (IAnjutaDebugManager *ianjutadebugmanager,
                   gpointer             user_data)

Flags: Run Last

### The `“debugger-stopped”` signal

    void
    user_function (IAnjutaDebugManager *ianjutadebugmanager,
                   GError              *arg1,
                   gpointer             user_data)

Flags: Run Last

### The `“frame-changed”` signal

    void
    user_function (IAnjutaDebugManager *ianjutadebugmanager,
                   guint                arg1,
                   gint                 arg2,
                   gpointer             user_data)

Flags: Run Last

### The `“location-changed”` signal

    void
    user_function (IAnjutaDebugManager *ianjutadebugmanager,
                   gulong               arg1,
                   gchar               *arg2,
                   guint                arg3,
                   gpointer             user_data)

Flags: Run Last

### The `“program-exited”` signal

    void
    user_function (IAnjutaDebugManager *ianjutadebugmanager,
                   gpointer             user_data)

Flags: Run Last

### The `“program-loaded”` signal

    void
    user_function (IAnjutaDebugManager *ianjutadebugmanager,
                   gpointer             user_data)

Flags: Run Last

### The `“program-moved”` signal

    void
    user_function (IAnjutaDebugManager *ianjutadebugmanager,
                   gint                 arg1,
                   gint                 arg2,
                   gulong               arg3,
                   gchar               *arg4,
                   guint                arg5,
                   gpointer             user_data)

Flags: Run Last

### The `“program-running”` signal

    void
    user_function (IAnjutaDebugManager *ianjutadebugmanager,
                   gpointer             user_data)

Flags: Run Last

### The `“program-started”` signal

    void
    user_function (IAnjutaDebugManager *ianjutadebugmanager,
                   gpointer             user_data)

Flags: Run Last

### The `“program-stopped”` signal

    void
    user_function (IAnjutaDebugManager *ianjutadebugmanager,
                   gpointer             user_data)

Flags: Run Last

### The `“program-unloaded”` signal

    void
    user_function (IAnjutaDebugManager *ianjutadebugmanager,
                   gpointer             user_data)

Flags: Run Last

### The `“sharedlib-event”` signal

    void
    user_function (IAnjutaDebugManager *ianjutadebugmanager,
                   gpointer             user_data)

Flags: Run Last

### The `“signal-received”` signal

    void
    user_function (IAnjutaDebugManager *ianjutadebugmanager,
                   gchar               *arg1,
                   gchar               *arg2,
                   gpointer             user_data)

Flags: Run Last